Package com.pixelmed.dose

# Class DoseCompositeInstanceContext

java.lang.Object
com.pixelmed.dicom.CompositeInstanceContext
com.pixelmed.dose.DoseCompositeInstanceContext

public class DoseCompositeInstanceContext extends CompositeInstanceContext

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.dicom.CompositeInstanceContext

`CompositeInstanceContext.Selector`

## Field Summary

### Fields inherited from class com.pixelmed.dicom.CompositeInstanceContext

`clinicalTrialSeriesModuleAttributeTags, clinicalTrialStudyModuleAttributeTags, clinicalTrialSubjectModuleAttributeTags, frameOfReferenceModuleAttributeTags, generalEquipmentModuleAttributeTags, generalImageModuleAttributeTags, generalSeriesModuleAttributeTags, generalStudyModuleAttributeTags, list, patientModuleAttributeTags, patientStudyModuleAttributeTags, sopCommonModuleAttributeTags, srDocumentGeneralModuleAttributeTags`

## Constructor Summary

Constructors
Constructor
Description
`DoseCompositeInstanceContext()`
`DoseCompositeInstanceContext(AttributeList srcList)`

## Method Summary

Modifier and Type
Method
Description
`void`
`updateFromSource(CTIrradiationEventDataFromImages eventDataFromImages)`

### Methods inherited from class com.pixelmed.dicom.CompositeInstanceContext

`addOrReplaceIfNotEmptyOtherwiseLeaveUnchanged, createPerformedProcedureCodeSequenceIfAbsent, createReferencedRequestSequenceIfAbsent, equals, getAttributeList, hashCode, put, putAll, removeAllButPatient, removeAllButPatient, removeAllButPatientAndStudy, removeAllButPatientAndStudy, removeAllButSelected, removeAllButSelected, removeAllButSeries, removeAllButSeries, removeAllButStudy, removeAllButStudy, removeAllSelected, removeAllSelected, removeEquipment, removeEquipment, removeFrameOfReference, removeFrameOfReference, removeInstance, removeInstance, removePatient, removePatient, removeSeries, removeSeries, removeSRDocumentGeneral, removeSRDocumentGeneral, removeStudy, removeStudy, toString, updateFromSource`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DoseCompositeInstanceContext

public DoseCompositeInstanceContext()

### DoseCompositeInstanceContext

public DoseCompositeInstanceContext(AttributeList srcList)

## Method Details

### updateFromSource

public void updateFromSource(CTIrradiationEventDataFromImages eventDataFromImages)